## aribas 1.08b-5

=== src/Makefile ===
#############################################################
# makefile for ARIBAS under LINUX
# author: Otto Forster <forster@rz.mathematik.uni-muenchen.de>
# date: 97-04-29
#############################################################

CC = cc

#CFLAGS = -DLiNUX -DPROTO -O -v
CFLAGS = -g -DLiNUX -DPROTO -O3 -Wall -pedantic

#ASSFLAGS = -v

MEMFLAG = -DMEM=4
# MEM may be set to any integer value from 1 to 16.
# This is the size of the ARIBAS heap in Megabytes
# The value should not exceed one half of the RAM of your machine
# If MEMFLAG is not defined, MEM=2 will be used by default

OBJECTS = alloc.o analysis.o aritaux.o arith.o aritool0.o \
	  aritools.o aritx.o array.o control.o errtext.o \
	  eval.o file.o mainloop.o mem0.o parser.o print.o \
	  scanner.o storage.o syntchk.o sysdep.o terminal.o 

#ASSOBJECTS = arito386.o

PROGRAM = aribas

all:	$(PROGRAM)

$(OBJECTS):	common.h

terminal.o:	logscr.inc

.c.o:
	$(CC) $(CFLAGS) -c $<

alloc.o:    alloc.c common.h
	$(CC) $(CFLAGS) $(MEMFLAG) -c alloc.c

.S.o:
	$(CC) $(ASSFLAGS) -c $<

$(PROGRAM): $(OBJECTS) $(ASSOBJECTS)
	$(CC) -o $(PROGRAM) $(OBJECTS) $(ASSOBJECTS)
#	strip $(PROGRAM)
clean:
	\rm *.o

########################### EOF ######################################

=== debian/changelog ===
aribas (1.08b-5) unstable; urgency=low

  * Allow mulitple archs.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 17 Sep 1998 15:20:15 -0700
	

aribas (1.08b-4) unstable; urgency=low

  * Changed description.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 12 Aug 1998 18:12:21 -0700
	

aribas (1.08b-3) unstable; urgency=low

  * Made help file visible.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 29 Jul 1998 22:16:52 -0700

aribas (1.08b-2) unstable; urgency=low

  * distribution 'main' does not exist

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 28 Jul 1998 13:35:01 -0700

aribas (1.08b-1) main; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 24 Jul 1998 15:05:14 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: aribas
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: aribas
Architecture: any
Depends:  ${shlibs:Depends}
Description: interpreter for arithmetic
 ARIBAS is an interactive Interpreter suitable for big integer
 arithmetic and multiprecision floating point arithmetic.
 It has a syntax similar to Pascal or Modula-2, but contains also
 features from other programming languages like C, Lisp, Oberon.
 Aribas home page:
 http://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html

=== debian/rules ===
#!/usr/bin/make -f
# aribas debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=aribas

ddir=`pwd`/debian/tmp
arch=$(shell dpkg --print-architecture)

CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)

build:
	$(checkdir)
ifeq ($(arch),i386)
	 cd src; make CC=$(CC) CFLAGS="-g -DLiNUX -DPROTO -O3 -Wall -pedantic" \
	  ASSOBJECTS=arito386.o
else 
	  cd src; make CC=$(CC) CFLAGS="-g -DUNiX  -DPROTO -O3 -Wall -pedantic"
endif

clean:
	$(checkdir)
	-rm -f build
	cd src; rm -f *.o aribas
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/doc/$(package)/examples
	install -d debian/tmp/usr/lib/$(package)
	strip src/aribas
	install -m 755 src/aribas debian/tmp/usr/bin
	cp examples/* debian/tmp/usr/doc/$(package)/examples
	chmod 644 debian/tmp/usr/doc/$(package)/examples/*
	cp src/aribas.hlp debian/tmp/usr/lib/$(package)
	chmod 644 debian/tmp/usr/lib/$(package)/*
	debstd doc/aribas.doc doc/aribas.tut  README  
	dpkg-shlibdeps src/aribas
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## aribas 1.14

=== src/Makefile ===
#############################################################
# makefile for ARIBAS under UNIX
# author: Otto Forster <forster@rz.mathematik.uni-muenchen.de>
# date: 99-04-30
#############################################################

CC = cc
CFLAGS = -DUNiX -O
# for some compilers it might be necessary to remove the -O flag
# If you have the GNU gcc compiler on your system, you may wish
# to use gcc. Then outcomment the first two lines and activate 
# the next two lines.

#CC = gcc
#CFLAGS = -DUNiX -DPROTO -O -v

#MEMFLAG = -DMEM=4
# MEM may be set to any integer value from 1 to 16.
# This is the size of the ARIBAS heap in Megabytes
# The value should not exceed one half of the RAM of your machine
# If MEMFLAG is not defined, MEM=2 will be used by default

OBJECTS = alloc.o analysis.o aritaux.o arith.o aritool0.o \
	  aritools.o aritx.o arity.o array.o control.o errtext.o \
	  eval.o file.o mainloop.o mem0.o parser.o print.o \
	  scanner.o storage.o syntchk.o sysdep.o terminal.o 

PROGRAM = aribas

all:	$(PROGRAM)

$(OBJECTS):	common.h

terminal.o:	logscr.inc

.c.o:
	$(CC) $(CFLAGS) -c $<

alloc.o:    alloc.c common.h
	$(CC) $(CFLAGS) $(MEMFLAG) -c alloc.c

$(PROGRAM): $(OBJECTS)
	$(CC) -o $(PROGRAM) $(OBJECTS)
	strip $(PROGRAM)
clean:
	\rm *.o

############################ EOF ##############################

## aribas 1.20

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # makefile for ARIBAS under UNIX
 # author: Otto Forster <forster@rz.mathematik.uni-muenchen.de>
-# date: 99-04-30
+# date: 2001-01-25
 #############################################################
 
 CC = cc
@@ -14,7 +14,7 @@
 #CC = gcc
 #CFLAGS = -DUNiX -DPROTO -O -v
 
-#MEMFLAG = -DMEM=4
+MEMFLAG = -DMEM=6
 # MEM may be set to any integer value from 1 to 16.
 # This is the size of the ARIBAS heap in Megabytes
 # The value should not exceed one half of the RAM of your machine

## aribas 1.44

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # makefile for ARIBAS under UNIX
 # author: Otto Forster <forster@rz.mathematik.uni-muenchen.de>
-# date: 2001-01-25
+# date: 2003-06-09
 #############################################################
 
 CC = cc
@@ -14,15 +14,18 @@
 #CC = gcc
 #CFLAGS = -DUNiX -DPROTO -O -v
 
-MEMFLAG = -DMEM=6
+MEMFLAG1 = -DMEM=6
 # MEM may be set to any integer value from 1 to 16.
 # This is the size of the ARIBAS heap in Megabytes
 # The value should not exceed one half of the RAM of your machine
 # If MEMFLAG is not defined, MEM=2 will be used by default
 
+MEMFLAG2 = -DINTSIZE=64
+MEMFLAG = $(MEMFLAG1) $(MEMFLAG2)
+
 OBJECTS = alloc.o analysis.o aritaux.o arith.o aritool0.o \
-	  aritools.o aritx.o arity.o array.o control.o errtext.o \
-	  eval.o file.o mainloop.o mem0.o parser.o print.o \
+	  aritools.o aritx.o arity.o aritz.o array.o control.o \
+      errtext.o  eval.o file.o mainloop.o mem0.o parser.o print.o \
 	  scanner.o storage.o syntchk.o sysdep.o terminal.o 
 
 PROGRAM = aribas

## aribas 1.53

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################
 # makefile for ARIBAS under UNIX
-# author: Otto Forster <forster@rz.mathematik.uni-muenchen.de>
+# author: Otto Forster <forster@mathematik.uni-muenchen.de>
 # date: 2003-06-09
 #############################################################
 
@@ -24,9 +24,9 @@
 MEMFLAG = $(MEMFLAG1) $(MEMFLAG2)
 
 OBJECTS = alloc.o analysis.o aritaux.o arith.o aritool0.o \
-	  aritools.o aritx.o arity.o aritz.o array.o control.o \
-      errtext.o  eval.o file.o mainloop.o mem0.o parser.o print.o \
-	  scanner.o storage.o syntchk.o sysdep.o terminal.o 
+          aritools.o aritx.o arity.o aritz.o array.o control.o \
+          errtext.o  eval.o file.o mainloop.o mem0.o parser.o print.o \
+          scanner.o storage.o syntchk.o sysdep.o terminal.o 
 
 PROGRAM = aribas

## aribas 1.63

=== debian/changelog ===
aribas (1.63-5) unstable; urgency=low

  * Build-depend on ${misc:Depends}

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Jan 2010 19:55:26 +0100

aribas (1.63-4) unstable; urgency=low

  * Convert to source format 3.0 (quilt) :
    - no longer build-depends on dpatch
    - no patching in debian/rules
    - debian/patches converted to quilt style
    - added debian/source/format
  * debian/watch: use passive ftp mode (closes: Bug#552545).
  * Debhelper compatibility level 7.
    - call dh_prep instead of dh_clean -k
  * Standards-version 3.8.3 (no change)
  * debian/copyright:
    - add that users are free to choose a version of GPL later than 2
    - point to versionend GPL-2 file.

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Nov 2009 14:46:14 +0100

aribas (1.63-3) unstable; urgency=low

  * Add dependency on emacsen-common (closes: Bug#503323).
  * Do not mention homepage in long description.
  * Standards-Version 3.8.0 (no change).

 -- Ralf Treinen <treinen@debian.org>  Sat, 25 Oct 2008 12:09:31 +0200

aribas (1.63-2) unstable; urgency=low

  * debian/control: add a Homepage field.
  * debian/rules: fix bashism (closes: Bug#478360).

 -- Ralf Treinen <treinen@debian.org>  Wed, 30 Apr 2008 22:57:07 +0200

aribas (1.63-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: put a proper copyright notice.
  * debian/doc-base.aribas: place files in section Science/Mathematics.
  * Standards-Version 3.7.3 (no change).

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Mar 2008 21:54:39 +0100

aribas (1.62-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Dec 2007 20:55:11 +0100

aribas (1.61-1) unstable; urgency=low

  * New upstream release
  * Correct url in debian/watch

 -- Ralf Treinen <treinen@debian.org>  Sun, 09 Sep 2007 19:53:24 +0200

aribas (1.53-2) unstable; urgency=low

  * debian watch file version 3, check for upstream tar ball linked from the
    download web page.
  * Use dpatch to manage patches
  * Patch 01_no-strip: do not strip executable in Makefile (closes: Bug#436470)
  * Standards-Version 3.7.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 25 Aug 2007 10:10:30 +0200

aribas (1.53-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 29 Dec 2004 16:40:47 +0100

aribas (1.52-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 10 Nov 2004 19:55:08 +0100

aribas (1.51-1) unstable; urgency=low

  * New upstream release
  * Adapted to new name of upstream changelog log

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Oct 2004 07:46:39 +0200

aribas (1.50-1) unstable; urgency=low

  * New upstream release
  * Adapted to new name of upstream changelog file
  * Switched from dh_installmanpages to dh_installman

 -- Ralf Treinen <treinen@debian.org>  Sun, 15 Aug 2004 09:12:55 +0200

aribas (1.44-2) unstable; urgency=low

  * Refined build-dependency on debhelper to >= 4
  * Added debian/watch file

 -- Ralf Treinen <treinen@debian.org>  Thu,  5 Aug 2004 12:39:40 +0200

aribas (1.44-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Jan 2004 09:09:23 +0100

aribas (1.40-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.6.1: Honor noopt in the value of DEB_BUILD_OPTIONS.
  * Replace DH_COMPAT variable in debian/rules by file debian/compat,
    set to level 4.
  * Simplify option passing to make, using upstream's new compile
    instructions.
  
 -- Ralf Treinen <treinen@debian.org>  Tue, 30 Sep 2003 22:50:29 +0200

aribas (1.30-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/aribas.1 since upstream has now incorporated and
    extended our manpage.
  * Added "Suggests: emacsen".
  * Install the upstream CHANGES file /usr/share/doc/aribas.

 -- Ralf Treinen <treinen@debian.org>  Tue, 14 May 2002 21:28:49 +0200

aribas (1.20-2) unstable; urgency=low

  * Standards-veriosn 3.5.6.0
  * DH_COMPAT=3. This marks all files in /etc as conffiles (closes:
    Bug#132151).  
  * Some cleanup in debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Sun,  3 Feb 2002 22:10:34 +0100

aribas (1.20-1) unstable; urgency=low

  * New upstream release.
  * Activated installation of emacs startup file for aribas
  * Completely rewrote the man page, using lots of stuff from the
    documentation.
  * Removed /usr/share/doc/aribas/aribas-emacs-mode.doc (this info
    is now in the man page).

 -- Ralf Treinen <treinen@debian.org>  Sat, 10 Feb 2001 15:35:14 +0100

aribas (1.14-3) unstable; urgency=low

  * Adopting the package (Closes: #68301)
  * moved rules to debhelper, use proper architecture test (Closes: #54584).
  * added build-depends: debhelper
  * added debian/dirs and debian/docs
  * moved emacs mode to where it belongs
  * added doc-base (for tutorial and doc in ascii)
  * moved to Standards-Version 3.1.1.
  * debian/copyright: Added Upstream Author, proper reference to GPL v2
  * moved doc from /usr/doc/aribas to /usr/share/doc/aribas
  * Removed debian/NOTES.debian
  * created debian/aribas-emacs-mode.doc, to be installed in
    /usr/share/docs/aribas.
  
 -- Ralf Treinen <treinen@debian.org>  Sat, 13 Jan 2001 22:35:17 +0100

aribas (1.14-2) unstable; urgency=low

  * Maintainer set to Debian QA Group.
  * Removed README.debian.
  * Removed the emacs config directives from debian/changelog.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 22 Dec 2000 15:49:03 +0100

aribas (1.14-1) unstable; urgency=low

  * New upstream source

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 26 Jun 1999 23:37:57 -0700

=== debian/control ===
Source: aribas
Section: math
Priority: optional
Maintainer: Ralf Treinen <treinen@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7)
Homepage: http://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html

Package: aribas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common
Suggests: emacsen
Description: interpreter for arithmetic
 ARIBAS is an interactive interpreter suitable for big integer
 arithmetic and multiprecision floating point arithmetic.
 It has a syntax similar to Pascal or Modula-2, but contains also
 features from other programming languages like C, Lisp, Oberon.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for aribas

#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTFLAGS=-O0 
else	
	OPTFLAGS=-O
endif	

build: build-stamp 

build-stamp:
	if [ "$(DEB_BUILD_ARCH)" = "i386" ];\
	then \
		cp src/LINUX/arito386.S src;\
		ASSOBJECTS="arito386.S";\
		EXTRAFLAGS="-DLiNUX -DPROTO";\
	else \
		ASSOBJECTS="";\
		EXTRAFLAGS="-DUNiX -DPROTO";\
	fi;\
	cd src && make -f LINUX/Makefile.linux\
			CC=gcc\
			CFLAGS="$(OPTFLAGS) $$EXTRAFLAGS"\
			ASSOBJECTS="$$ASSOBJECTS"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cd src; make clean; rm -f aribas arito386.S
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -m 755 src/aribas debian/aribas/usr/bin
	cp src/EL/aribas.el debian/aribas/usr/share/emacs/site-lisp/aribas
	cp src/aribas.hlp debian/aribas/usr/lib/aribas
	cp CHANGES*.txt debian/aribas/usr/share/doc/aribas/changelog

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples examples/*
	dh_installemacsen
	dh_installman doc/aribas.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## aribas 1.64

=== src/Makefile ===
--- 
+++ 
@@ -1,21 +1,21 @@
 #############################################################
 # makefile for ARIBAS under UNIX
 # author: Otto Forster <forster@mathematik.uni-muenchen.de>
-# date: 2003-06-09
+# date: 2007-08-23
 #############################################################
 
-CC = cc
-CFLAGS = -DUNiX -O
+#CC = cc
+#CFLAGS = -DUNiX -O
 # for some compilers it might be necessary to remove the -O flag
 # If you have the GNU gcc compiler on your system, you may wish
 # to use gcc. Then outcomment the first two lines and activate 
 # the next two lines.
 
-#CC = gcc
-#CFLAGS = -DUNiX -DPROTO -O -v
+CC = gcc
+CFLAGS = -DUNiX -DPROTO -O -v
 
-MEMFLAG1 = -DMEM=6
-# MEM may be set to any integer value from 1 to 16.
+MEMFLAG1 = -DMEM=16
+# MEM may be set to any integer value from 1 to 32.
 # This is the size of the ARIBAS heap in Megabytes
 # The value should not exceed one half of the RAM of your machine
 # If MEMFLAG is not defined, MEM=2 will be used by default

=== debian/changelog ===
aribas (1.64-5) unstable; urgency=low

  * Remove dependency on emacsen-common, do not byte-compile aribas.el.
    Justifaction: debian emacs policy section 5, "Packages with only
    marginal emacs relevance". Also drop "Suggests: emacsen".
  * Rename some directories under debian/ according to debhelper(7).

 -- Ralf Treinen <treinen@debian.org>  Sat, 20 Nov 2010 18:21:54 +0100

aribas (1.64-4) unstable; urgency=low

  * Pre-Depend on emacsen-common instead of just Depends, to fix an
    error occuring when upgrading from an earlier version of aribas
    that does not depend on emacsen-common (closes: Bug#603788).
  * Standards-Version 3.9.1 (no change).

 -- Ralf Treinen <treinen@debian.org>  Thu, 18 Nov 2010 21:35:30 +0100

aribas (1.64-3) unstable; urgency=low

  * debian/rules:
    - use the standard Makefile on non-i386 architectures.
    - use dh_install to install files
    - use dh_installchangelogs to install upstream changelog
  * Apply upstream's patch to fix warnings about casting from pointer to
    integer of different size on 64bit architectures:
    debian/patches/casting_pointers
  
 -- Ralf Treinen <treinen@debian.org>  Wed, 10 Feb 2010 21:24:43 +0100

aribas (1.64-2) unstable; urgency=low

  * use improved manpage sent in by upstream author (patch manpage-improved, 
    replaces the patch manpage-dashes).

 -- Ralf Treinen <treinen@debian.org>  Wed, 03 Feb 2010 20:50:33 +0100

aribas (1.64-1) unstable; urgency=low

  * New upstream release
  * Patch manpage-dashes: escape dashes in manpage.
  * Standards-version 3.8.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 28 Jan 2010 21:48:20 +0100

=== debian/control ===
Source: aribas
Section: math
Priority: optional
Maintainer: Ralf Treinen <treinen@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Homepage: http://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html

Package: aribas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interpreter for arithmetic
 ARIBAS is an interactive interpreter suitable for big integer
 arithmetic and multiprecision floating point arithmetic.
 It has a syntax similar to Pascal or Modula-2, but contains also
 features from other programming languages like C, Lisp, Oberon.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,15 @@
 	if [ "$(DEB_BUILD_ARCH)" = "i386" ];\
 	then \
 		cp src/LINUX/arito386.S src;\
+		MAKEFILE=LINUX/Makefile.linux;\
 		ASSOBJECTS="arito386.S";\
 		EXTRAFLAGS="-DLiNUX -DPROTO";\
 	else \
+		MAKEFILE=Makefile;\
 		ASSOBJECTS="";\
 		EXTRAFLAGS="-DUNiX -DPROTO";\
 	fi;\
-	cd src && make -f LINUX/Makefile.linux\
+	cd src && make -f $$MAKEFILE\
 			CC=gcc\
 			CFLAGS="$(OPTFLAGS) $$EXTRAFLAGS"\
 			ASSOBJECTS="$$ASSOBJECTS"
@@ -39,10 +41,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	install -m 755 src/aribas debian/aribas/usr/bin
-	cp src/EL/aribas.el debian/aribas/usr/share/emacs/site-lisp/aribas
-	cp src/aribas.hlp debian/aribas/usr/lib/aribas
-	cp CHANGES*.txt debian/aribas/usr/share/doc/aribas/changelog
+	dh_install
 
 binary-indep: build install
 
@@ -53,7 +52,7 @@
 	dh_installexamples examples/*
 	dh_installemacsen
 	dh_installman doc/aribas.1
-	dh_installchangelogs
+	dh_installchangelogs CHANGES*.txt
 	dh_strip
 	dh_compress
 	dh_fixperms

=== debian/watch ===
version=3

opts=pasv ftp://ftp.mathematik.uni-muenchen.de/pub/forster/aribas/UNIX_LINUX/aribas-([\.\d]*)\.tar\.gz

## aribas 1.65

=== src/Makefile ===
--- 
+++ 
@@ -18,9 +18,13 @@
 # MEM may be set to any integer value from 1 to 32.
 # This is the size of the ARIBAS heap in Megabytes
 # The value should not exceed one half of the RAM of your machine
-# If MEMFLAG is not defined, MEM=2 will be used by default
+# If MEMFLAG is not defined, MEM=4 will be used by default
 
 MEMFLAG2 = -DINTSIZE=64
+# INTSIZE may be set to any value from 20 to 300.
+# Then ARIBAS can work with integers up to 
+# INTSIZE*1000 decimal places
+
 MEMFLAG = $(MEMFLAG1) $(MEMFLAG2)
 
 OBJECTS = alloc.o analysis.o aritaux.o arith.o aritool0.o \

=== debian/changelog ===
aribas (1.65-1) unstable; urgency=medium

  [ Ralf Treinen ]
  * update debian/watch file
  * add src/aribas to the filter in gbp.conf since upstream distributes a
    pre-compiled binary with the sources.
  * new upstream version,
    - drop patch no_strip as it is not useful
    - drop patch casting_pointers which has been integrated upstream
    - add patch fix-make-clean to make "make clean" idempotent
    - add patch compile-with-debug-symbols to use the -g flag to gcc
  * upstream has dropped the i386 assembly code (closes: #1001653), remove
    the special case for i386 in debian/rules (closes:#991782).
  * debian/aribas.install: upstream has moved src/EL to EL
  * debian/control:
    - Standards-Version 4.6.2 (no change)
    - declare Rules-Requires-Root: no
  * debian/aribas.docs: upstream has renamed doc files. Also modify
    accordingly debian/aribas-doc-base.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

 -- Ralf Treinen <treinen@debian.org>  Mon, 23 Jan 2023 20:12:10 +0100

aribas (1.64-6) unstable; urgency=low

  * Installed emacsen-startup, as proposed by Kevin Ryde (thanks!)
    (closes: #807298)
  * Converted debian/copyright to machine-readable format 1.0
  * Rewrote debian/rules:
    - use dh
    - added debian/aribas.examples
    - added debian/aribas.manpages
  * Debhelper compatibility level 10:
    - bumped debian/compat
    - bumped build-dependency on debhelper
  * Amended patch improved-manpage: fix spelling error, remove trailing
    white spaces.
  * Added as-installed package test.
  * Added Vcs-{Git,Browser}
  * Added debian/gbp.conf to force --pristine-tar
  * Standards-Version 3.9.8 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 09 Dec 2016 19:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Ralf Treinen <treinen@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7)
-Homepage: http://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Homepage: https://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html
+Vcs-Git: https://salsa.debian.org/science-team/aribas.git
+Vcs-Browser: https://salsa.debian.org/science-team/aribas
 
 Package: aribas
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

EXTRAFLAGS="-DUNiX -DPROTO"
override_dh_auto_build:
	make -C src

override_dh_auto_clean:
	make -C src clean
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGES*.txt

=== debian/watch ===
version=4

# upstream numbers the tarball of version n.nn as nnn
opts=uversionmangle=s/(\d)(\d+)/$1.$2/ \
https://www.mathematik.uni-muenchen.de/~forster/sw/aribas.html \
  UNIX_LINUX/aribas([\.\d]*)\.tgz
